from re import sub

eggPlantAIAgentBuild = 159438
eggPlantAIAgentVersion = "4.1.0"


def numeralizeVersion():
    if eggPlantAIAgentVersion == "trunk" or eggPlantAIAgentVersion == "develop":
        return "0.0.{0}".format(eggPlantAIAgentBuild)
    else:
        return sub(r"[^0123456789\.]", "", eggPlantAIAgentVersion)


def versionOrBuild():
    if (
        eggPlantAIAgentVersion == "0.0.0"
        or eggPlantAIAgentVersion == "trunk"
        or eggPlantAIAgentVersion == "develop"
    ):
        return "dev build {0}".format(eggPlantAIAgentBuild)
    else:
        return "{}".format(eggPlantAIAgentVersion)
