import sys

DEFAULT_SERVER = "localhost"
DEFAULT_EGGDRIVE_PORT = 5400

# Default padding between widgets
PADDING = 6
WIDGET_PADDING = {"padx": 3, "pady": 3}  # TODO remove these?
WINDOW_PADDING = {"padx": 9, "pady": 9}

# MAC OS location
DEFAULT_EGGDRIVE_EXECUTABLE = "/Applications/Eggplant.app/Contents/MacOS/Eggplant"
COMMAND_LINE_EXE = "eggPlantAIagent"
LOG_WIN_DISABLED = "normal"

if sys.platform.strip() == "linux":
    DEFAULT_EGGDRIVE_EXECUTABLE = "/usr/local/bin/runscript"  # Linux location

if sys.platform[0:3] == "win":  # Windows location
    DEFAULT_EGGDRIVE_EXECUTABLE = "C:/Program Files/eggPlant/eggplant.bat"
    COMMAND_LINE_EXE = "eggPlantAIagent.exe"
    LOG_WIN_DISABLED = "disabled"

VAM_RUN_FOLDER = ".run"
